Bug 438810 (php-pear-HTTP-Downl) - Review Request: php-pear-HTTP-Download - PHP Class for handling file downloads
Summary: Review Request: php-pear-HTTP-Download - PHP Class for handling file downloads
Status: CLOSED WONTFIX
Alias: php-pear-HTTP-Downl
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 438806
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-25 12:53 UTC by David Hollis
Modified: 2009-05-22 17:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-01 08:23:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Hollis 2008-03-25 12:53:46 UTC
Spec URL: http://web.davehollis.com:81/packages/php-pear-HTTP-Download.spec
SRPM URL: http://web.davehollis.com:81/packages/php-pear-HTTP-Download-1.1.3-1.fc8.src.rpm
Description: 
Provides an interface to easily send hidden files or any arbitrary data to
HTTP clients.  HTTP_Download can gain its data from variables, files or
stream resources.

It features:
 - Basic caching capabilities
 - Basic throttling mechanism
 - On-the-fly gzip-compression
 - Ranges (partial downloads and resuming)
 - Delivery of on-the-fly generated archives through Archive_Tar and
Archive_Zip
 - Sending of PgSQL LOBs without the need to read all data in prior to
sending

Comment 1 Remi Collet 2008-03-29 10:10:57 UTC
I can't do a formal review as i'm not a sponsor.

Should fix the %file :
%{pear_phpdir}/HTTP/Download*
%{pear_testdir}/HTTP_Download

Note HTTP dir is owned by php-pear-HTTP-Header which is required.

Bug #438806 added in depends.

Comment 2 David Hollis 2008-04-04 12:25:33 UTC
Ok, I've made the requested fixes so the directories are owned and such.

Spec URL: http://web.davehollis.com:81/packages/php-pear-HTTP-Download.spec
SRPM URL:
http://web.davehollis.com:81/packages/php-pear-HTTP-Download-1.1.3-2.fc8.src.rpm



Comment 3 Remi Collet 2009-03-01 08:23:29 UTC
No reponse, I close this bug to allow anynody else to submit this package again.


Note You need to log in before you can comment on or make changes to this bug.